11.09.2008
- эмуляция Вектор-Старт-1200 и Ириша (не полностью)
12.09.2008
- запоминание пути к файлам отдельно для каждого компьютера
- добавить в ini настройку положения окна эмулятора
- чтобы эмулятор запоминал размер окна (для каждого компьютера)
- задать произвольный размер экрана (маленькая панелька где вводишь значения для Х и Y)
16.09.2008
- отключение звука AY при входе в дебагер
- иконка для скриншота и имя скриншота по умолчанию с нумерацией
- поддержка CAS токенизированных Basic-файлов в Векторе
22.09.2008
- кнопка выбора начального загрузчика
- поддержку загрузки файлов rom, r0m (загрузка с 0-го блока) через меню File-Open
- режим паузы (клавиша Break)
- окно всегда поверх других (always on top)
23.09.2008
- исправил ошибку (звук в режме паузы)
- добавил пункт меню "Hide mouse pointer"
26.09.2008
- иконка ПЗУ БИОСа у Вектора другого цвета
- выбор ПЗУ и квазидиска сохраняется в .ini
- немного доделан Корвет
01.10.2008
- сохранение скриншота в текущем разрешении экрана
- формат файла скриншота - любой из поддерживаемых библиотекой GDI+
13.10.2008
- эмуляция КР512ВИ1 (пока без будильника)
- эмуляция винчестера для Орион-128 с Z80
14.10.2008
- эмуляция винчестера для Вектора
16.10.2008
- исправил ошибки в отладчике
20.10.2008
- исправил ошибки эмуляции БК-0010
27.10.2008
- исправил ошибки эмуляции БК-0010
- переделал диспетчер памяти ПК-6128ц в соответствии с РЭ, добавил переключение страниц экрана через порт 0Dh
- подправил эмуляцию винчестера для Орион-128
04.11.2008
- добавил эмуляцию Агат-7
06.11.2008
- дебагер: клавиша F1 и выбор кодировки (сама кодировка задаётся в файле codepage.txt)
28.11.2008
- небольшие доработки чтения из wav, размер загрузчика в Векторе по размеру файла, бит потери данных в регистре статуса ВГ93
19.01.2008
- убрал смену текущего каталога при открытии файлов
- теперь все 64 регистра 512ВИ1 сохраняются в файл
03.02.2009
- мелкая доработка таймера ВИ53 (заметно улучшение эмуляции программы SSTV)
20.02.2009
- доделал цвет для Апогея
25.02.2009
- добавлен ПК Юниор (пока без цвета, с "неродным" знакогенератором и без поддержки .wav)
20.03.2009
- добавлена поддержка управления магнитофоном для ПК Юниор (пока без записи)
- выложил файлы для ПК Юниор и Вектор Старт-1200
23.03.2009
- исправлена ошибка эмуляции флага доп. переноса в командах вычитания
26.03.2009
- добавил клавиши F11 и F12 в конфигурацию Вектор Старт-1200 аналогично Вектор-06ц
30.03.2009
- исправлена ошибка эмуляции в команде DAA
03.04.2009
- добавлен цветной режим ПК Юниор
06.04.2009
- заменил знакогенератор ПК Юниор, продублировал курсорные клавиши для БК-0010
02.05.2009
- добавил эмуляцию БК-0011м
25.05.2009
- исправил кое-какие баги эмуляции БК-0011м, теперь Бейсик работает, ANDOS теперь не единственная, которая грузится, однако демки по прежнему вылетают (кроме spiders)
29.08.2009
- добавил эмуляцию игр Кок, Собрать Буран и Агропром игрового автомата Фотон на базе ZX. Чтобы опустить монетку нужно нажать F1
- немного подправил эмуляцию AY
18.09.2009
- появилась возможность открывать файлы посредством Drag&Drop
- тип конфигурации, в зависимости от расширения открываемого файла, описывается теперь во внешнем файле emu.ext, не удаляйте его
- в качестве бонуса: открытие некоторых типов музыкальных файлов Спектрума, надеюсь ivagor будет не против, что я использовал его модификацию плеера .pt3 файлов для Вектора
21.09.2009
- добавил ещё один плеер, и теперь можно слушать музыку следующих форматов: .pt2 .pt3 .stp .stc .zxs
30.09.2009
- добавил поддержку trdos-файлов .trd и .scl для ZX, плеер .sqt (на некоторых файлах глючит)
01.10.2009
- исправил мелкий недочёт эмуляции видео Вектора-06ц (заметное в мультиколорных эффектах)
06.10.2009
- исправил ошибку эмуляции
15.10.2009
- добавлена поддержка образа SD-карты (только минимум команд, необходимых для чтения/записи сектора)
20.10.2009
- добавилась возможность задавать разрешение в полноэкранном режиме, "магические строки" есть в конфигурации Вектора
26.10.2009
- исправлена ошибка эмуляции EI
28.10.2009
- добавились новые возможности в отладчике
29.10.2009
- метки на отдельной строке в листинге теперь тоже показываются
- установка курсора мышкой
- исправлена ошибка генерации прерываний
31.10.2009
- вывод битового звука через ВИ53 в Векторе
02.11.2009
- подключил AY к БК-0011м
03.11.2009
- подключил Covox к БК-0011м
04.11.2009
- цветной режим БК-0011м по-умолчанию, увеличенный размер по вертикали
- исправлена ошибка BCD-режима таймера ВИ53
- добавлены конфиги для цветного Специалиста
25.01.2010
- добавил эмуляцию ЮТ-88 в минимальном варианте с индикаторами
17.02.2010
- добавил MSX и MSX-2. Видеорежимы MSX-2 пока реализованы не полностью. Поддержки слотов практически нет. Но простые игры (ромы 16-32К) уже можно запускать
23.02.2010
- небольшие доработки и исправление ошибок
01.03.2010
- исправил палитру MSX
- улучшена эмуляция Корвета
15.03.2010
- совместными усилиями с observer-k и Иваном Городецким удалось восстановить архитектуру ПК8002 Эльф. В результате добавилась эмуляция ПК8002 Эльф
25.03.2010
- улучшена эмуляция MSX и MSX-2, реализованы все видеорежимы, а также некоторые ROM-мапперы. Для ROM-мапперов необходим файл msxromdb.xml, который можно взять из blueMSX и положить в каталог MSX эмулятора
10.05.2010
- исправлены ошибки эмуляции процессора БК-001х
11.05.2010
- исправлена скорость эмуляции команд процессора БК-001х
- устранён баг эмуляции контроллера дисковода БК-001х
15.04.2010
- небольшие исправления эмуляции БК-001х и Корвет
17.05.2010
- добавил поддержку открытия .bin файлов для БК-0010
16.08.2010
- добавил в Орион-Про порты палитры и 4-х битный ЦАП
30.08.2010
- мелкие исправления, касающиеся в основном ZX-Spectrum 128
02.09.2010
- добавлена возможность просматривать в отладчике все области памяти
09.09.2010
- поддержка MSX rom-ов с началом по адресу 0000h,8000h + исправлены некоторые ошибки
10.09.2010
- исправлена обработка спрайтов MSX, выходящих за верхнюю границу экрана
14.09.2010
- начальную палитру компьютеров семейства Вектор теперь можно задать в конфиге
17.09.2010
- добавились некоторые возможности в отладчике (простмотр регистров VDP и AY, счётчики тактов и прерываний)
21.09.2010
- улучшен автодетект ковокса в конфигурации БК-0011м
27.09.2010
- добавлен компьютер Robotron 1715
04.10.2010
- добавлена возможность формировать образ диска "на лету" из файлов выбранного каталога
29.12.2010
- добавил эмуляцию Океан-240, недоделан, дамп монитора изменён одним из пользователей
14.01.2011
- добавил дисковод к Океан-240
08.03.2011
- добавил эмуляцию Агро, недоделан ввиду отсутствия информации и загрузочной кассеты
- некоторые изменения интерфейса (объеденил тулбар,выбор конфигурации запоминается)
12.03.2011
- добавил эмуляцию Львов ПК-02 (это такой гипотетический комп, существовавший как минимум в одном экземпляре)
06.04.2011
- новая конфигурация Вектора с Coman-овским контроллером дисковода
- поддержка кишинёвского адаптера Z80, эмулятор Спектрума для Вектора теперь работает
23.04.2011
- добавлена поддержка ERAM для Вектор-06ц, размер рамдиска до 8Мб
08.05.2011
- новая конфигурация MSX2 fdd (с дисководом)
10.05.2011
- добавлен R-Sound в конфигурации ПК-6128ц
23.05.2011
- добавлена конфигурация Вектор-06ц с ВМ1
02.06.2011
- поддержка ПЗУ-8 для Вектор-06ц
21.06.2011
- добавлены копирование/вставка/поиск в отладчике
08.07.2011
- добавлена возможность открывать .SNA файлы (снапшоты ZX Spectrum)
11.08.2011
- добавлена эмуляция дисковода ПК Ириша
19.08.2011
- переключение раскладки QWERTY/JCUKEN
22.08.2011
- поддержка ГМД-70 для ПК Ириша
- добавлен Специалист-МХ2 (версия HardWareMan-а)
19.08.2011
- добавлено переключение раскладки QWERTY/JCUKEN. 
06.01.2012
- поддержка новых образов дисков для Агат-7 
09.03.2012
- добавлена эмуляция Наири. 
10.04.2012
- добавлена эмуляция Искра 1080 Тарту
23.04.2012
- добавлена эмуляция Криста-2
29.07.2012
- поддержка Chameleon-DOS для ПК Львов
20.08.2012
- небольшие исправления в отладчике
27.12.2012
- откатил изменения в эмуляции звука ВВ55, из-за которых был баг (правда, теперь нет одной фичи в режиме 3)
13.01.2013
- вернул изменения, сделал опционально через конфиг, только для Океан-240
10.04.2013
- добавлены Aleste 520EX, DVK, DKV-2
- моно/стерео
04.09.2013
- добавлена эмуляция СМ-1800
09.10.2013
- исправлена эмуляция КНГМД Орион-128
18.10.2014
- улучшена эмуляция Арго: добавлено переключение в режим ZX Spectrum
